# $Revision: 1.15 $, $Date: 2007/02/12 21:23:53 $
Summary:	dvdisaster - Additional error correction for CD and DVD media
Summary(pl.UTF-8):	dvdisaster - dodatkowa korekcja błędów dla nośników CD i DVD
Name:		dvdisaster
Version:	0.70.1
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://download.berlios.de/dvdisaster/%{name}-%{version}.tar.bz2
# Source0-md5:	350b76ccaf2c8f08dcd26643ec359614
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-configure.patch
URL:		http://www.dvdisaster.com/
BuildRequires:	bzip2-devel
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel
BuildRequires:	gtk+2-devel
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
BuildRequires:	which
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
dvdisaster provides a margin of safety against data loss on CD and DVD
media caused by aging or scratches.

 - dvdisaster creates error correction codes to compensate read errors
   which are not correctable in the CD/DVD drive.

 - dvdisaster tries to read as much data as possible from defective
   media. Afterwards unreadable sectors are recovered using the
   previously created error correction code. The maximum error correction
   capacity is user-selectable.

If you create the error correction code file in time and keep it at a
safe place, you have a good chance of recovering the medium contents
from typical read errors and to transfer your complete data onto a new
medium.

%description -l pl.UTF-8
dvdisaster zapewnia margines bezpieczeństwa przed utratą danych na
nośnikach CD i DVD spowodowaną wiekem lub rysami.

- dvdisaster tworzy kody korekcji błędów równoważące błędy odczytu
  niemożliwe do poprawienia przez napęd CD/DVD.

- dvdisaster próbuje odczytać tyle danych ile to tylko możliwe z
  uszkodzonego nośnika. Następnie odzyskuje nieczytelne sektory przy
  użyciu poprzednio utworzonego kodu korekcji błędów. Maksymalna
  możliwość korekcji błędów jest wybierana przez użytkownika.

Jeśli w porę utworzymy plik z kodem korekcji błędów i będziemy trzymać
go w bezpiecznym miejscu, mamy duże szanse odzyskania zawartości
nośnika przy typowych błędach odczytu i przeniesienia całych danych na
nowy nośnik.

%prep
%setup -q -n %{name}-0.70
%patch0 -p0
%patch1 -p1

%build
%{__sed} -i 's,gawk,awk,g' locale/create-makefile
%configure2_13 \
	--buildroot=$RPM_BUILD_ROOT \
	--docdir=%{_docdir} \
	--localedir=%{_datadir}/locale
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install

install contrib/dvdisaster48.png $RPM_BUILD_ROOT%{_pixmapsdir}
install contrib/%{name}.desktop $RPM_BUILD_ROOT%{_desktopdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc CHANGELOG CREDITS.en README TODO TRANSLATION.HOWTO
%doc documentation/en documentation/images
%lang(cs) %doc CREDITS.cs documentation/cs
%lang(de) %doc CREDITS.de documentation/de
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/*.desktop
%{_mandir}/man1/*
%lang(cs) %{_mandir}/cs/man1/*
%lang(de) %{_mandir}/de/man1/*
%lang(it) %{_mandir}/it/man1/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dvdisaster.spec,v $
Revision 1.15  2007/02/12 21:23:53  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:48:47  baggins
- converted to UTF-8

Revision 1.13  2006/11/07 22:23:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.12  2006/07/31 08:35:11  shadzik
- 0.70.1

Revision 1.11  2006/07/11 15:27:57  shadzik
- updated to 0.70

Revision 1.10  2006/06/19 04:48:05  charles
- updated to 0.66
- BR: bzip2-devel, rm TODO

Revision 1.9  2005/12/26 00:02:10  charles
- updated to 0.64.2

Revision 1.8  2005/10/19 14:59:20  charles
- updated to 0.64
- added -configure.patch, updated -DESTDIR.patch and %files

Revision 1.7  2005/10/09 11:23:28  charles
- updated to 0.63

Revision 1.6  2005/07/03 22:29:04  charles
- moved documentation to docdir
- added TODO

Revision 1.5  2005/07/03 21:53:28  charles
- updated to 0.62
- change Group, Source0, URL
- added -DESTDIR.patch
- locale support, more docs
- BR: gettext-devel, gtk+2-devel, pkgconfig, sed, which

Revision 1.4  2005/06/15 19:59:44  spider
- adaptarized

Revision 1.3  2005/06/11 19:38:09  mwinkler
- BR: glib2-devel

Revision 1.2  2005/06/10 21:15:18  qboosh
- pl

Revision 1.1  2005/06/06 09:26:54  spider
- init
- NF (missing locale, pl description)
